Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.util
Class JndiJmsLogAppender

    java.lang.Object
      org.apache.log4j.AppenderSkeleton
          org.codehaus.activemq.util.JmsLogAppenderSupport
              org.codehaus.activemq.util.JndiJmsLogAppender

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

public class JndiJmsLogAppender
extends JmsLogAppenderSupport

A JMS 1.1 log4j appender which uses JNDI to locate a JMS ConnectionFactory to use for logging events.

Version:
  $Revision: 1.1 $

Field Summary

Fields inherited from class org.codehaus.activemq.util.JmsLogAppenderSupport
`JMS_PUBLISH_ERROR_CODE`

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`JndiJmsLogAppender()`

Method Summary
`protected Connection` | `createConnection()`
`protected javax.naming.InitialContext` | `createInitialContext()`
`java.lang.String` | `getInitialContextFactoryName()`
`java.lang.String` | `getJndiName()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getProviderURL()`
`java.lang.String` | `getSecurityCredentials()`
`java.lang.String` | `getSecurityPrincipalName()`
`java.lang.String` | `getUrlPkgPrefixes()`
`java.lang.String` | `getUserName()`
`void` | `setInitialContextFactoryName(java.lang.String initialContextFactoryName)`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setPassword(java.lang.String password)`
`void` | `setProviderURL(java.lang.String providerURL)`
`void` | `setSecurityCredentials(java.lang.String securityCredentials)`
`void` | `setSecurityPrincipalName(java.lang.String securityPrincipalName)`
`void` | `setUrlPkgPrefixes(java.lang.String urlPkgPrefixes)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from class org.codehaus.activemq.util.JmsLogAppenderSupport
`activateOptions, append, close, createMessage, createProducer, createSession, getConnection, getDestination, getProducer, getSession, requiresLayout, setConnection, setProducer, setSession`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiJmsLogAppender

    public JndiJmsLogAppender()

Method Detail

### getJndiName

    public java.lang.String getJndiName()

### setJndiName

    public void setJndiName(java.lang.String jndiName)

### getUserName

    public java.lang.String getUserName()

### setUserName

    public void setUserName(java.lang.String userName)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getInitialContextFactoryName

    public java.lang.String getInitialContextFactoryName()

### setInitialContextFactoryName

    public void setInitialContextFactoryName(java.lang.String initialContextFactoryName)

### getProviderURL

    public java.lang.String getProviderURL()

### setProviderURL

    public void setProviderURL(java.lang.String providerURL)

### getUrlPkgPrefixes

    public java.lang.String getUrlPkgPrefixes()

### setUrlPkgPrefixes

    public void setUrlPkgPrefixes(java.lang.String urlPkgPrefixes)

### getSecurityPrincipalName

    public java.lang.String getSecurityPrincipalName()

### setSecurityPrincipalName

    public void setSecurityPrincipalName(java.lang.String securityPrincipalName)

### getSecurityCredentials

    public java.lang.String getSecurityCredentials()

### setSecurityCredentials

    public void setSecurityCredentials(java.lang.String securityCredentials)

### createConnection

    protected Connection createConnection()
                                   throws JMSException,
                                          javax.naming.NamingException

  Specified by:
    `createConnection` in class `JmsLogAppenderSupport`
  Throws:
    `JMSException`
    `javax.naming.NamingException`

### createInitialContext

    protected javax.naming.InitialContext createInitialContext()
                                                        throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.